<template>
  <j-modal
    :title='title'
    :width='1400'
    :visible='visible'
    :maskClosable='false'
    switchFullscreen
    @ok='handleOk'
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel='handleCancel'
  >
    <operation-certificate-form
      ref='realForm'
      @ok='submitCallback'
      :disabled='disableSubmit'
      :loadSubTableData='loadSubTableDataFlag'
    />
  </j-modal>
</template>

<script>

import OperationCertificateForm from './OperationCertificateForm'

export default {
  name: 'OperationCertificateModal',
  components: {
    OperationCertificateForm
  },
  data() {
    return {
      title: '',
      width: 800,
      visible: false,
      disableSubmit: false,
      loadSubTableDataFlag: true
    }
  },
  methods: {
    add() {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.add()
      })
    },
    edit(record) {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.edit(record)
      })
    },
    close() {
      this.$emit('close')
      this.visible = false
    },
    handleOk() {
      this.$refs.realForm.handleOk()
    },
    submitCallback() {
      this.$emit('ok')
      this.visible = false
    },
    handleCancel() {
      this.close()
    }
  }
}
</script>

<style scoped>
</style>